Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm
Interface IAggregatedLayout

All Superinterfaces:
  IUserLayout

All Known Implementing Classes:
  AggregatedLayout, ALFragment

    public interface IAggregatedLayout

extends IUserLayout

An aggregated-layout specific extension of the user layout interface Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Version:
  1.1 $Revision: 1.1 $ $Date: 2005/05/03 20:40:47 $
Author:
  Michael Ivanov

Field Summary
`static java.lang.String` | `ADD_TARGET`
`static java.lang.String` | `CHANNEL`
`static java.lang.String` | `FOLDER`
`static java.lang.String` | `FRAGMENT`
`static java.lang.String` | `LAYOUT`
`static java.lang.String` | `MOVE_TARGET`
`static java.lang.String` | `PARAMETER`
`static java.lang.String` | `RESTRICTION`

Fields inherited from interface org.jasig.portal.layout.IUserLayout
`ROOT_NODE_NAME`

Method Summary
`int` | `getDepth(java.lang.String nodeId)` Gets the tree depth for a given node
`java.lang.String` | `getFragmentId(java.lang.String nodeId)` Returns an fragment Id for a given node.
`java.util.Set` | `getFragmentIds()` Returns a list of fragment Ids existing in the layout.
`java.lang.String` | `getFragmentRootId(java.lang.String fragmentId)` Returns an fragment root Id for a given fragment.
`ALFolder` | `getLayoutFolder(java.lang.String folderId)` Returns the folder by a given folder ID.
`ALNode` | `getLayoutNode(java.lang.String nodeId)` Returns the node by a given node ID.

Methods inherited from interface org.jasig.portal.layout.IUserLayout
`addLayoutEventListener, getCacheKey, getChildIds, getId, getNextSiblingId, getNodeDescription, getNodeId, getNodeIds, getParentId, getPreviousSiblingId, getRootId, removeLayoutEventListener, writeTo, writeTo, writeTo, writeTo`

Field Detail

### LAYOUT

    static final java.lang.String LAYOUT

See Also:
  Constant Field Values

### FRAGMENT

    static final java.lang.String FRAGMENT

See Also:
  Constant Field Values

### FOLDER

    static final java.lang.String FOLDER

See Also:
  Constant Field Values

### CHANNEL

    static final java.lang.String CHANNEL

See Also:
  Constant Field Values

### PARAMETER

    static final java.lang.String PARAMETER

See Also:
  Constant Field Values

### RESTRICTION

    static final java.lang.String RESTRICTION

See Also:
  Constant Field Values

### ADD_TARGET

    static final java.lang.String ADD_TARGET

See Also:
  Constant Field Values

### MOVE_TARGET

    static final java.lang.String MOVE_TARGET

See Also:
  Constant Field Values

Method Detail

### getFragmentIds

    java.util.Set getFragmentIds()
                                 throws PortalException

  Returns a list of fragment Ids existing in the layout.

  Returns:
    a `Set` of `String` fragment Ids.
  Throws:
    `PortalException` - if an error occurs

### getFragmentId

    java.lang.String getFragmentId(java.lang.String nodeId)
                                   throws PortalException

  Returns an fragment Id for a given node. Returns null if the node is not part of any fragments.

  Parameters:
    `nodeId` - a `String` value
  Returns:
    a `String` fragment Id
  Throws:
    `PortalException` - if an error occurs

### getFragmentRootId

    java.lang.String getFragmentRootId(java.lang.String fragmentId)
                                       throws PortalException

  Returns an fragment root Id for a given fragment.

  Parameters:
    `fragmentId` - a `String` value
  Returns:
    a `String` fragment root Id
  Throws:
    `PortalException` - if an error occurs

### getLayoutNode

    ALNode getLayoutNode(java.lang.String nodeId)

  Returns the node by a given node ID.

  Parameters:
    `nodeId` - a `String` value
  Returns:
    a `ALNode` instance

### getLayoutFolder

    ALFolder getLayoutFolder(java.lang.String folderId)

  Returns the folder by a given folder ID.

  Parameters:
    `folderId` - a `String` value
  Returns:
    a `ALFolder` instance

### getDepth

    int getDepth(java.lang.String nodeId)
                 throws PortalException

  Gets the tree depth for a given node

  Parameters:
    `nodeId` - a `String` node ID
  Returns:
    a depth value
  Throws:
    `PortalException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD